- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QToolBar Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qtoolbar.h.

`#include <qtoolbar.h>`

Inheritance diagram for QToolBar:
[legend]

List of all members.

## Public Slots
void | setIconSize (const QSize &iconSize)
void | setToolButtonStyle (Qt::ToolButtonStyle toolButtonStyle)
## Signals
void | actionTriggered (QAction *action)
void | movableChanged (bool movable)
void | allowedAreasChanged (Qt::ToolBarAreas allowedAreas)
void | orientationChanged (Qt::Orientation orientation)
void | iconSizeChanged (const QSize &iconSize)
void | toolButtonStyleChanged (Qt::ToolButtonStyle toolButtonStyle)
void | topLevelChanged (bool topLevel)
void | visibilityChanged (bool visible)
## Public Member Functions
| QToolBar (QWidget *parent=0)
| ~QToolBar ()
void | setMovable (bool movable)
bool | isMovable () const
void | setAllowedAreas (Qt::ToolBarAreas areas)
Qt::ToolBarAreas | allowedAreas () const
bool | isAreaAllowed (Qt::ToolBarArea area) const
void | setOrientation (Qt::Orientation orientation)
Qt::Orientation | orientation () const
void | clear ()
QAction * | addAction (const QString &text)
QAction * | addAction (const QIcon &icon, const QString &text)
QAction * | addAction (const QString &text, const QObject *receiver, const char *member)
QAction * | addAction (const QIcon &icon, const QString &text, const QObject *receiver, const char *member)
QAction * | addSeparator ()
QAction * | insertSeparator (QAction *before)
QAction * | addWidget (QWidget *widget)
QAction * | insertWidget (QAction *before, QWidget *widget)
QRect | actionGeometry (QAction *action) const
QAction * | actionAt (const QPoint &p) const
QAction * | actionAt (int x, int y) const
QAction * | toggleViewAction () const
QSize | iconSize () const
Qt::ToolButtonStyle | toolButtonStyle () const
QWidget * | widgetForAction (QAction *action) const
bool | isFloatable () const
void | setFloatable (bool floatable)
bool | isFloating () const
## Protected Member Functions
void | actionEvent (QActionEvent *event)
void | changeEvent (QEvent *event)
void | childEvent (QChildEvent *event)
void | paintEvent (QPaintEvent *event)
void | resizeEvent (QResizeEvent *event)
bool | event (QEvent *event)
void | initStyleOption (QStyleOptionToolBar *option) const
## Properties
bool | movable
## Friends
class | QMainWindowLayout
class | QToolBarLayout
class | QToolBarAreaLayout

## Constructor & Destructor Documentation

QToolBar | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QToolBar | ( |  | ) |

## Member Function Documentation

void setMovable | ( | bool | movable | ) |

Search for all occurrences

bool isMovable | ( |  | ) | const

Search for all occurrences

void setAllowedAreas | ( | Qt::ToolBarAreas | areas | ) |

Search for all occurrences

Qt::ToolBarAreas allowedAreas | ( |  | ) | const

Search for all occurrences

bool isAreaAllowed | ( | Qt::ToolBarArea | area | ) | const `[inline]`

Search for all occurrences

Definition at line 92 of file qtoolbar.h.

        { return (allowedAreas() & area) == area; }

void setOrientation | ( | Qt::Orientation | orientation | ) |

Search for all occurrences

Qt::Orientation orientation | ( |  | ) | const

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

QAction* addAction | ( | const QString & | text | ) |

Search for all occurrences

QAction* addAction | ( | const QIcon & | icon,
|  | const QString & | text
| ) |  |

Search for all occurrences

QAction* addAction | ( | const QString & | text,
|  | const QObject * | receiver,
|  | const char * | member
| ) |  |

Search for all occurrences

QAction* addAction | ( | const QIcon & | icon,
|  | const QString & | text,
|  | const QObject * | receiver,
|  | const char * | member
| ) |  |

Search for all occurrences

QAction* addSeparator | ( |  | ) |

Search for all occurrences

QAction* insertSeparator | ( | QAction * | before | ) |

Search for all occurrences

QAction* addWidget | ( | QWidget * | widget | ) |

Search for all occurrences

QAction* insertWidget | ( | QAction * | before,
|  | QWidget * | widget
| ) |  |

Search for all occurrences

QRect actionGeometry | ( | QAction * | action | ) | const

Search for all occurrences

QAction* actionAt | ( | const QPoint & | p | ) | const

Search for all occurrences

QAction * actionAt | ( | int | x,
|  | int | y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 179 of file qtoolbar.h.

    { return actionAt(QPoint(ax, ay)); }

QAction* toggleViewAction | ( |  | ) | const

Search for all occurrences

QSize iconSize | ( |  | ) | const

Search for all occurrences

Qt::ToolButtonStyle toolButtonStyle | ( |  | ) | const

Search for all occurrences

QWidget* widgetForAction | ( | QAction * | action | ) | const

Search for all occurrences

bool isFloatable | ( |  | ) | const

Search for all occurrences

void setFloatable | ( | bool | floatable | ) |

Search for all occurrences

bool isFloating | ( |  | ) | const

Search for all occurrences

void setIconSize | ( | const QSize & | iconSize | ) | `[slot]`

Search for all occurrences

void setToolButtonStyle | ( | Qt::ToolButtonStyle | toolButtonStyle | ) | `[slot]`

Search for all occurrences

void actionTriggered | ( | QAction * | action | ) | `[signal]`

Search for all occurrences

void movableChanged | ( | bool | movable | ) | `[signal]`

Search for all occurrences

void allowedAreasChanged | ( | Qt::ToolBarAreas | allowedAreas | ) | `[signal]`

Search for all occurrences

void orientationChanged | ( | Qt::Orientation | orientation | ) | `[signal]`

Search for all occurrences

void iconSizeChanged | ( | const QSize & | iconSize | ) | `[signal]`

Search for all occurrences

void toolButtonStyleChanged | ( | Qt::ToolButtonStyle | toolButtonStyle | ) | `[signal]`

Search for all occurrences

void topLevelChanged | ( | bool | topLevel | ) | `[signal]`

Search for all occurrences

void visibilityChanged | ( | bool | visible | ) | `[signal]`

Search for all occurrences

void actionEvent | ( | QActionEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void changeEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void childEvent | ( | QChildEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void paintEvent | ( | QPaintEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void resizeEvent | ( | QResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void initStyleOption | ( | QStyleOptionToolBar * | option | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QMainWindowLayout `[friend]`

Search for all occurrences

Definition at line 174 of file qtoolbar.h.

friend class QToolBarLayout `[friend]`

Search for all occurrences

Definition at line 175 of file qtoolbar.h.

friend class QToolBarAreaLayout `[friend]`

Search for all occurrences

Definition at line 176 of file qtoolbar.h.

## Property Documentation

bool movable `[read, write]`

Search for all occurrences

Definition at line 67 of file qtoolbar.h.

The documentation for this class was generated from the following file:

- QtGui/qtoolbar.h

QToolBar QToolBar QToolBar QToolBar QToolBar QToolBar QToolBar QToolBar QToolBar QToolBar
QToolBar QToolBar QToolBar QToolBar QToolBar QToolBar QToolBar QToolBar QToolBar QToolBar